package net.sf.corn.exception;


/**
 * Exception commands are java routines that triggered right before an exception
 * thrown by {@link ExceptionBuilder} or after an exception is get caught by {@link ExceptionCatcher}.
 * Commands are great to define generic things like writing exception messages to the log.
 * 
 * @author Serhat Dirik
 * @see ExceptionBuilder
 * @see ExceptionCatcher
 */
public interface ExceptionCommand{
	/**
	 * This method is called right before the exception is thrown or after the exception get caught 
	 * @param e The source exception
	 */
	public void execute(final Exception e);
}
